Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.beans
Class AbstractStateModel

    java.lang.Object
      org.monte.media.beans.AbstractStateModel

Direct Known Subclasses:
  ScreenRecorder

    public class AbstractStateModel

extends java.lang.Object

Abstract superclass of models that fire state change events to registered ChangeListener's, when their state changes.

Version:
  1.0 2002-05-09 Created.
Author:
  Werner Randelshofer

Field Summary
`protected javax.swing.event.ChangeEvent` | `changeEvent`
`protected javax.swing.event.EventListenerList` | `listenerList`

Constructor Summary
`AbstractStateModel()` Creates a new instance of AbstractChangeModel

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener l)`
`protected void` | `fireStateChanged()` Notify all listeners that have registered interest for notification on this event type.
`void` | `removeChangeListener(javax.swing.event.ChangeListener l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listenerList

    protected javax.swing.event.EventListenerList listenerList

### changeEvent

    protected javax.swing.event.ChangeEvent changeEvent

Constructor Detail

### AbstractStateModel

    public AbstractStateModel()

  Creates a new instance of AbstractChangeModel

Method Detail

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener l)

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener l)

### fireStateChanged

    protected void fireStateChanged()

  Notify all listeners that have registered interest for notification on this event type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD